.missing_page_wrap {
	display: flex;
	justify-content: center;
	height: 100%;
	margin: 50px 0;
	padding-inline: 15px;
}

.page__content:has(.missing_page_wrap) {
	display: flex;
	justify-content: center;
	align-items: center;
}

.breadcrumbs:has(~ .missing_page_wrap) {
	display: none;
}

.missing_block {
	display: flex;
	flex-direction: column;
	justify-content: center;
	max-width: 550px;
}

.missing_image {
	position: relative;
	display: none;
	max-width: 275px;
	margin: 20px auto;
}

.missing_image .movie_heart {
	position: absolute;
	top: 25%;
	right: 20px;
}

.center_wrap {
	display: block;
	margin: 40px 0;
}

.missing_text {
	display: block;
	margin: 10px 0 30px;
	color: #2b2e3b;
	font-weight: 400;
	font-size: 20px;
	text-align: center;
}

.missing_block .button.blue {
	background-color: #005eeb;
	color: #fff;
	text-decoration: none;
}

@media screen and (width < 770px) {
	.error_block svg {
		display: block;
		width: 60%;
		margin: 0 auto;
	}

	.missing_block .center_wrap {
		margin: 0;
	}
}